function onBegin()
    if not getFlag("TrainingMode_ran") then
      disableMovement()
      wait(0.5)
      say("Elekitu_Dumber_training_mode")
    end
end

function onEnd()
    enableMovement()
    setFlag("TrainingMode_ran", true)
end